<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Puppeteer](./puppeteer.puppeteer.md) &gt; [(constructor)](./puppeteer.puppeteer._constructor_.md)

## Puppeteer.(constructor)

Constructs a new instance of the `Puppeteer` class

<b>Signature:</b>

```typescript
constructor(projectRoot: string, preferredRevision: string, isPuppeteerCore: boolean, productName: string);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  projectRoot | string |  |
|  preferredRevision | string |  |
|  isPuppeteerCore | boolean |  |
|  productName | string |  |

